## fo-property-font-style

fo-property-font-style —

## Synopsis

    #define     FO_TYPE_ENUM_FONT_STYLE
    GType       fo_enum_font_style_get_type     (void);
    struct      FoPropertyFontStyle;
    struct      FoPropertyFontStyleClass;
    FoProperty* fo_property_font_style_new      (void);
    FoProperty* fo_property_font_style_get_initial
                                                (void);

## Description

## Details

### FO_TYPE_ENUM_FONT_STYLE

    #define FO_TYPE_ENUM_FONT_STYLE fo_enum_font_style_get_type ()

### fo_enum_font_style_get_type ()

    GType       fo_enum_font_style_get_type     (void);

Returns : |

### struct FoPropertyFontStyle

    struct FoPropertyFontStyle;

### struct FoPropertyFontStyleClass

    struct FoPropertyFontStyleClass;

### fo_property_font_style_new ()

    FoProperty* fo_property_font_style_new      (void);

Creates a new FoPropertyFontStyle initialized to default value.

Returns : | the new FoPropertyFontStyle.

### fo_property_font_style_get_initial ()

    FoProperty* fo_property_font_style_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.